#include "inout.hlsl"

Texture2D ShaderTexture;
SamplerState SampleType;

float4 Billboard_PS(PIT_BB input) : SV_TARGET
{
	float4 finalColor = ShaderTexture.Sample(SampleType, input.tex);

		finalColor *= input.color;

	return finalColor;
}